<link rel="import" href="../bower_components/polymer/polymer.html">
<link rel="import" href="../bower_components/paper-styles/color.html">

<!-- Taken from https://www.google.com/design/spec/style/color.html#color-ui-color-application -->

<style is="custom-style">
@font-face {
        font-family: 'OCR A Std';
        src: url('../../fonts/OCRAStd.eot');
        src: url('../../fonts/OCRAStd.eot?#iefix') format('embedded-opentype'),
          url('../../fonts/OCRAStd.woff2') format('woff2'),
          url('../../fonts/OCRAStd.woff') format('woff'),
          url('../../fonts/OCRAStd.ttf') format('truetype'),
          url('../../fonts/OCRAStd.svg#OCRAStd') format('svg');
        font-weight: normal;
        font-style: normal;
      }
  :root {
    /*
     * You can use these generic variables in your elements for easy theming.
     * For example, if all your elements use `--primary-text-color` as its main
     * color, then switching from a light to a dark theme is just a matter of
     * changing the value of `--primary-text-color` in your application.
     */
    --primary-text-color: var(--light-theme-text-color);
    --primary-background-color: var(--light-theme-background-color);
    --secondary-text-color: var(--light-theme-secondary-color);
    --disabled-text-color: var(--light-theme-disabled-color);
    --divider-color: var(--light-theme-divider-color);
    --error-color: var(--paper-deep-orange-a700);
    /*
     * Primary and accent colors. Also see color.html for more colors.
     */
    --primary-color: #00c8ad;
    --light-primary-color: #00c8ad;
    --dark-primary-color: #00c8ad;
    --accent-color: #00c8ad;
    --light-accent-color: #00c8ad;
    --dark-accent-color: #00c8ad;
    /*
     * Material Design Light background theme
     */
    --light-theme-background-color: #ffffff;
    --light-theme-base-color: #000000;
    --light-theme-text-color: var(--paper-grey-900);
    --light-theme-secondary-color: #737373;  /* for secondary text and icons */
    --light-theme-disabled-color: #9b9b9b;  /* disabled/hint text */
    --light-theme-divider-color: #dbdbdb;
    /*
     * Material Design Dark background theme
     */
    --dark-theme-background-color: var(--paper-grey-900);
    --dark-theme-base-color: #ffffff;
    --dark-theme-text-color: #ffffff;
    --dark-theme-secondary-color: #bcbcbc;  /* for secondary text and icons */
    --dark-theme-disabled-color: #646464;  /* disabled/hint text */
    --dark-theme-divider-color: #3c3c3c;
    /*
     * Deprecated values because of their confusing names.
     */
    --text-primary-color: var(--dark-theme-text-color);
    --default-primary-color: var(--primary-color);
  }
</style>